=== debian/changelog ===
hfd-service (0.1.0-4) unstable; urgency=medium

  * debian/control:
    + Build requires a fix introduced with qtfeedback5-dev
      5.0~git20180903.a14bd0b-3. (Closes: #1002757).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 31 Jan 2022 22:55:42 +0100

hfd-service (0.1.0-3) unstable; urgency=medium

  * Upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 21:50:16 +0100

hfd-service (0.1.0-2) experimental; urgency=medium

  * debian/control:
    + Add B-D systemd ([linux-any]).
    + Add B-D: dh-exec.
  * debian/hfd-service.install:
    + Use dh-exec to architectures-based install hfd-service.service file
      for systemd.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 May 2021 00:57:06 +0200

hfd-service (0.1.0-1) experimental; urgency=medium

  * Initial release to Debian. (Closes: #986627).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Apr 2021 20:29:39 +0200
