=== debian/control ===
Source: hfd-service
Section: admin
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 2.8.10),
               debhelper-compat (= 13),
               dh-exec,
               pkg-config,
#               libandroid-properties-dev,
#               libhardware-dev,
#               android-headers,
               libudev-dev,
               qtbase5-dev,
               qtfeedback5-dev (>= 5.0~git20180903.a14bd0b-3~),
               cmake-extras,
               qtdeclarative5-dev,
               systemd [linux-any],
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/ubports/hfd-service
Vcs-Git: https://salsa.debian.org/ubports-team/hfd-service.git
Vcs-Browser: https://salsa.debian.org/ubports-team/hfd-service/

Package: hfd-service
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: system D-Bus service for accessing human feedback devices
 Human feedback device service is a D-Bus activated service that manages
 human feedback devices such as LEDs and vibrators on mobile devices.
 .
 The package contains the HFD system service.

Package: libqt5feedback5-hfd
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hfd-service,
Description: Qt feedback library extension for accessing the HFD service
 Human feedback device service is a Dbus activated service that manages
 human feedback devices such as LEDs and vibrators on mobile devices.
 .
 This package contains the Qt feedback library extension for accessing
 the HFD service.

Package: qml-module-hfd
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hfd-service,
Description: QML bindings for HFD Service
 Human feedback device service is a Dbus activated service that manages
 human feedback devices such as LEDs and vibrators on mobile devices.
 .
 This package contains the QML bindings for accessing the HFD Service.

Package: hfd-service-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hfd-service,
Description: Tools to detect and configure devices
 Human feedback device service is a Dbus activated service that manages
 human feedback devices such as LEDs and vibrators on mobile devices.
 .
 This package contains tools for accessing the HFD service.
