=== debian/watch ===
version=4
https://gitlab.com/ubports/core/hfd-service/tags .*/hfd-service-(\d\S+)\.tar\.gz
