=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,25 @@
     add_definitions(-DHAVE_LIBHYBRIS)
 endif()
 
+if (HAVE_LIBGBINDER)
+    include_directories(
+        ${GLIB_UTIL_INCLUDE_DIRS}
+        ${GBINDER_INCLUDE_DIRS}
+    )
+
+    set(LIBGBINDER_SRC
+        leds-binder.cpp
+        vibrator-binder.cpp
+    )
+
+    set(LIBGBINDER_LIBRARIES
+        ${GLIB_UTIL_LDFLAGS} ${GLIB_UTIL_LIBRARIES}
+        ${GBINDER_LDFLAGS} ${GBINDER_LIBRARIES}
+    )
+
+    add_definitions(-DHAVE_LIBGBINDER)
+endif()
+
 add_library(hfd-core STATIC
     leds.cpp
     leds-sysfs.cpp
@@ -26,11 +45,17 @@
     vibrator-legacy.cpp
 
     ${LIBHYBRIS_SRC}
+    ${LIBGBINDER_SRC}
 )
 
 target_link_libraries(hfd-core
     udev-cpp
     ${LIBHYBRIS_LIBRARIES}
+    ${LIBGBINDER_LIBRARIES}
+)
+
+include_directories(
+    ${DEVICEINFO_INCLUDE_DIRS}
 )
 
 set(SERVICE_SRC
@@ -51,6 +76,7 @@
 
     Qt5::Core
     Qt5::DBus
+    ${DEVICEINFO_LDFLAGS}
 )
 
-install(TARGETS hfd-service RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(TARGETS hfd-service RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
