=== debian/changelog ===
hfd-service (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. All applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/hfd-service.install:
    + Install new D-Bus service activation file into bin:pkg.
  * lintian: Adjust overrides to new syntax.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 01:08:28 +0100
