=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                dh-exec,
                pkg-config,
 #               libandroid-properties-dev,
+               libdeviceinfo-dev,
 #               libhardware-dev,
 #               android-headers,
                libudev-dev,
@@ -17,7 +18,7 @@
                cmake-extras,
                qtdeclarative5-dev,
                systemd [linux-any],
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ubports/hfd-service
 Vcs-Git: https://salsa.debian.org/ubports-team/hfd-service.git
