## hfd-service 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(hfd-service VERSION 0.2.0)
+project(hfd-service VERSION 0.2.1)
 set(CMAKE_CXX_STANDARD 14)
 
 set(CMAKE_AUTOMOC ON)
@@ -10,6 +10,13 @@
 
 pkg_check_modules(UDEV REQUIRED libudev)
 pkg_check_modules(DEVICEINFO REQUIRED deviceinfo)
+
+# For variables only.
+pkg_check_modules(DBUS_1 REQUIRED dbus-1)
+pkg_get_variable(DBUS_INTERFACES_DIR dbus-1 interfaces_dir)
+
+pkg_check_modules(ACCOUNTSSERVICE REQUIRED accountsservice)
+pkg_get_variable(AS_INTERFACES_DIR accountsservice interfacesdir)
 
 option(ENABLE_LIBHYBRIS "Enable libhybris support" ON)
 
@@ -62,3 +69,12 @@
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/system-services
 )
 
+# AccountsService interface
+install(FILES data/com.lomiri.hfd.AccountsService.Settings.xml
+  DESTINATION ${DBUS_INTERFACES_DIR})
+install(DIRECTORY DESTINATION ${AS_INTERFACES_DIR})
+install(CODE "message(STATUS
+  \"Symlinking: \$ENV{DESTDIR}${AS_INTERFACES_DIR}/com.lomiri.hfd.AccountsService.Settings.xml\")")
+install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink
+  ../../dbus-1/interfaces/com.lomiri.hfd.AccountsService.Settings.xml
+  \$ENV{DESTDIR}${AS_INTERFACES_DIR}/com.lomiri.hfd.AccountsService.Settings.xml)")
