=== debian/changelog ===
hfd-service (0.2.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1052639)

  [ Marius Gripsgard ]
  * New upstream release
  * Add myself as uploader
  * Correct git/upstream url

 -- Marius Gripsgard <mariogrip@debian.org>  Fri, 15 Dec 2023 00:52:46 +0100
