=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: cmake (>= 2.8.10),
+ Marius Gripsgard <marius@debian.org>,
+Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-exec,
                pkg-config,
@@ -18,9 +19,12 @@
                cmake-extras,
                qtdeclarative5-dev,
                systemd [linux-any],
+               accountsservice:native,
+               libaccountsservice-dev,
+               libdbus-1-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://github.com/ubports/hfd-service
+Homepage: https://gitlab.com/ubports/development/core/hfd-service
 Vcs-Git: https://salsa.debian.org/ubports-team/hfd-service.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/hfd-service/
