=== src/CMakeLists.txt ===
--- 
+++ 
@@ -65,6 +65,8 @@
     dbusAdaptor.h
     usersettings.cpp
     usersettings.h
+    vibrator-controller.cpp
+    vibrator-controller.h
 )
 
 set_source_files_properties(bus.xml PROPERTIES
