=== debian/changelog ===
hfd-service (0.2.2-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:22:50 +0000

hfd-service (0.2.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:24:50 +0000

hfd-service (0.2.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:36:08 +0000

hfd-service (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + In B-D:, switch from systemd to systemd-dev. (Closes: #1060468).
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 22:39:50 +0100
