=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hfd-service
 Section: admin
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@debian.org>,
@@ -18,7 +19,7 @@
                qtfeedback5-dev (>= 5.0~git20180903.a14bd0b-3~),
                cmake-extras,
                qtdeclarative5-dev,
-               systemd [linux-any],
+               systemd-dev [linux-any],
                accountsservice:native,
                libaccountsservice-dev,
                libdbus-1-dev,
