=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/hfd-service/tags .*/hfd-service-(\d\S+)\.tar\.gz
