=== qt/CMakeLists.txt ===
add_subdirectory(feedback-plugin)
add_subdirectory(qml)
